# Uses of Class
org.eclipse.birt.report.engine.api.TOCNode

Packages that use TOCNode
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of TOCNode in org.eclipse.birt.report.engine.api

Fields in org.eclipse.birt.report.engine.api declared as TOCNode
Modifier and Type
Field
Description
`protected TOCNode`
TOCNode.`parent`
the parent node
Methods in org.eclipse.birt.report.engine.api that return TOCNode
Modifier and Type
Method
Description
`TOCNode`
IReportDocument.`findTOC(String tocNodeId)`
Deprecated.
Invoke following code instead: ``
`TOCNode`
ITOCTree.`findTOC(String tocId)`
Gets the TOCNode with the specified id.
`TOCNode`
TOCNode.`getParent()`
`TOCNode`
ITOCTree.`getRoot()`
Gets the root node of a TOC tree.
Methods in org.eclipse.birt.report.engine.api with parameters of type TOCNode
Modifier and Type
Method
Description
`void`
TOCNode.`setParent(TOCNode parent)`
Set parent toc.
Constructors in org.eclipse.birt.report.engine.api with parameters of type TOCNode
Modifier
Constructor
Description
``
`TOCNode(TOCNode node)`
Constructor.

## Uses of TOCNode in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return TOCNode
Modifier and Type
Method
Description
`TOCNode`
IReportContent.`getTOC()`
Deprecated.
This method shoule be substituted by:
`getTOCTree( format, locale ).getTOCTree( );`